"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateToggleButton = void 0;
const prefix_1 = require("../prefix");
function generateToggleButton(text, actionPrefix, options) {
    var _a;
    const formatFunction = (_a = options.formatState) !== null && _a !== void 0 ? _a : ((_, text, state) => prefix_1.prefixEmoji(text, state));
    return async (context, path) => {
        var _a;
        if (await ((_a = options.hide) === null || _a === void 0 ? void 0 : _a.call(options, context, path))) {
            return undefined;
        }
        const textResult = typeof text === 'function' ? await text(context, path) : text;
        const state = await options.isSet(context, path);
        return {
            text: await formatFunction(context, textResult, state, path),
            relativePath: actionPrefix + ':' + (state ? 'false' : 'true')
        };
    };
}
exports.generateToggleButton = generateToggleButton;
//# sourceMappingURL=toggle.js.map