"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterNonNullable = exports.isRegExpExecArray = exports.hasTruthyKey = exports.isObject = void 0;
function isObject(something) {
    return typeof something === 'object' && something !== null;
}
exports.isObject = isObject;
function hasTruthyKey(something, key) {
    return isObject(something) && key in something && Boolean(something[key]);
}
exports.hasTruthyKey = hasTruthyKey;
function isRegExpExecArray(something) {
    if (!Array.isArray(something)) {
        return false;
    }
    if (typeof something[0] !== 'string') {
        return false;
    }
    if (!('index' in something && 'input' in something)) {
        return false;
    }
    return true;
}
exports.isRegExpExecArray = isRegExpExecArray;
// TODO: remove when .filter(o => o !== undefined) works.
function filterNonNullable() {
    return (o) => o !== null && o !== undefined;
}
exports.filterNonNullable = filterNonNullable;
//# sourceMappingURL=generic-types.js.map